PHP für Oracle-Funktionen kompilieren

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

PHP für Oracle-Funktionen kompilieren

Postby MajorTom78 » 04. March 2004 08:05

Hallo,
habe ein Problem und benötige dringend Hilfe. Bei mir läuft ein Suse 7.0 mit einer Oracle-Datenbank und Xampp 1.4.2.
Ich möchte jetzt gerne mit PHP eine Verbindung zur Datenbank herstellen, bekomme aber die Fehlermeldung...
Call to undefined function: ocilogon() in...
Habe bereits das Oci-Addon installiert, es hat allerdings nicht geholfen.
Laut PHP-Manual fehlen die beiden Umgebungsvariablen LD_PRELOAD und NLS_LANG. Kann es daran liegen? Wenn ja, wie stelle ich es an diese zu setzen?
Ansonsten habe ich nur gelesen, wie ich PHP zu kompilieren habe, um die Oracle-Funktionen zu nutzen. Hab so etwas aber noch NIE gemacht. Kann mir an dieser Stelle vielleicht auch jemand helfen?
MajorTom78
 
Posts: 7
Joined: 04. March 2004 07:49
Location: Schleswig-Holstein

Postby Oswald » 04. March 2004 11:11

Hallo Tom!

Bei XAMPP für Linux 1.4.2 ist die Oracle-Erweiterung schon enthalten. Es gibt kein Oracle-AddOn für diese Version. Was immer Du installiert hast: damit hast Du Dir wahrscheinlich Deine XAMPP-Installation zerschossen.

Zum Aktivieren der Oracle-Erweiterung: http://www.apachefriends.org/faq-lampp.html#oci8

Leider konnte ich die noch nicht wirklich gut testen. Grundsätzlich sollte sie aber funktionieren.

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby MajorTom78 » 04. March 2004 11:44

Ich habe das in einem anderen Forenbeitrag (finde ich jetzt auf die schnelle nicht mehr wieder) von dir erwähnte Addon "xampp-linux-oci8.addon-0.1.tar.gz" installiert. Zuvor habe ich es auch mit dem Befehl /opt/lampp/lampp oci8 probiert, worauf ich die Fehlermeldung erhalten habe, daß "libclntsh.so.9.0" nicht gefunden werden konnte.
MajorTom78
 
Posts: 7
Joined: 04. March 2004 07:49
Location: Schleswig-Holstein

Postby Oswald » 04. March 2004 13:07

Hallo Tom!

Wann kommt diese Fehlermeldung? Gleich beim Aufruf von »../lampp oci8« oder später?

In welchem Verzeichnis hast Du bei Dir Oracle installiert?

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby MajorTom78 » 04. March 2004 13:17

Die Fehlermeldung kommt gleich nach dem Aufruf von »../lampp oci8«
Mein Oracle Home-Verzeichnis lautet /opt/oracle/OracleHome1.
Habe jetzt herausgefunden, dass ich wohl Apache-Startscript die Variable "LD_PRELOAD=libclntsh.so.8.0" setzen muss. Die libclntsh ist nämlich vorhanden. Wie mach ich das bei Xampp?
MajorTom78
 
Posts: 7
Joined: 04. March 2004 07:49
Location: Schleswig-Holstein

Postby MajorTom78 » 04. March 2004 13:18

Tschuldigung. Die libclntsh.so.8.0. ist vorhanden
MajorTom78
 
Posts: 7
Joined: 04. March 2004 07:49
Location: Schleswig-Holstein

Postby MajorTom78 » 04. March 2004 13:35

Ich habe jetzt in der "oci8install" sämtliche 9nen durch 8en ersetzt und es scheint erstmal, bis auf meine Fehler im PHP-Script zu funktionieren.
MajorTom78
 
Posts: 7
Joined: 04. March 2004 07:49
Location: Schleswig-Holstein

Postby Oswald » 04. March 2004 13:37

Huhu Tom!

Sicher, dass die Fehlermeldung gleich nach dem Aufruf kommt? Fragt er nicht zuerst nach dem Verzeichnis Deiner Oracle-Installation? Hab mir grad noch mal das Programm angeschaut und es dürfte wirklich nicht gleich die Fehlermeldung kommen.

Aber ich glaube Dein Problem dürfte sein, dass ich Oracle 9 verwendet habe und Du Oracle 8 hast.... ah ich seh grad Du hast die Lösung schon selbst gefunden...

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby MajorTom78 » 04. March 2004 14:27

Und es funktioniert wunderbar :-)
Vielen Dank
MajorTom78
 
Posts: 7
Joined: 04. March 2004 07:49
Location: Schleswig-Holstein

Pfad zu ori8install

Postby asauer » 25. August 2004 15:11

Sorry fuer den Crosspost aber ich bin versehentlich in der falschen Diskussion gelandet
Vielleicht sollte man noch erwähnen, dass die entsprechende Datei im Verzeichnis /opt/lampp/share/lampp zu finden ist. Also dort die Datei oci8install entsprechend anpassen wenn support fuer oracle 8 gewuenscht wird.
asauer
 
Posts: 3
Joined: 25. August 2004 14:56

Ergaenzung

Postby asauer » 25. August 2004 16:21

Bei mir hat es funktioniert mit folgender Anweisung:

Kopiert aus einem anderen Beitrag

Verfasst am: 30. September 2003 18:37 Titel:

--------------------------------------------------------------------------------

Hi Froggy!

Two weeks ago I built a first alpha Oracle-Add-On for XAMPP (for Linux). It's not tested very well but if it works it's much easier for you than re-build PHP by yourself.

Installation instructions

1. Download http://www.apachefriends.org/xampp-linu ... 0.1.tar.gz

2. Extract the archive with tar xvfz xampp-linux-oci8-addon-0.1.tar.gz

3. Install the Add-On by calling xampp-linux-oci8-addon-0.1/install

Now restart your XAMPP and take a look at http://localhost/xampp/phpinfo.php
You shoud now see the presence of the oci8 module.

Greetings,
Oswald
asauer
 
Posts: 3
Joined: 25. August 2004 14:56


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 1 guest